Subject: bug#524: Install Devuan 3 via HTTPS

From: Ladar Levison <[email-masked]>
Date: Fri, 8 Jan 2021 10:59:10 -0600

See this auto-install config file:
https://github.com/lavabit/robox/blob/99d71a685f0911c5e1628b42ed9fb217b560d59f/http/generic.devuan3.vagrant.cfg

Specifically, this commit:
https://github.com/lavabit/robox/commit/99d71a685f0911c5e1628b42ed9fb217b560d59f#diff-f4502f49404124ec43e29b16b82e421d50f951009713beebb5f679416f463bd0

I had to change the setting "d-i mirror/protocol string https" to "d-i
mirror/protocol string http" for it to work. It's been awhile since I
did the troubleshooting, but I recall the error log making mention of an
issue with the apt-transport-https plugin. I think it said it was
missing in the log, hence the bug report. Either way, the HTTPS version
of the config for Devuan 2 works just fine, so in theory, so should the
Devuan 3 install ISO.

See this auto-install config file for Devuan 2:
https://github.com/lavabit/robox/blob/99d71a685f0911c5e1628b42ed9fb217b560d59f/http/generic.devuan2.vagrant.cfg

If you'd like to try it out yourself, and you have packer setup, you can
run:

git clone https://github.com/lavabit/robox/ && cd robox
./robox.sh box generic-devuan2-libvirt ; ./robox.sh box
generic-devuan3-libvirt

To try building the Devuan 2 & 3 configs using libvirt. Replace libvirt
with vmware|virtualbox|hyperv|parallels if preferred, although the
latter two require a Windows or MacOS host, respectively.

L~